%define _mozillapath	%{_libdir}/mozilla/plugins

Summary: A browser plugin to allow playing embedded movies on web pages
Name:    mplayerplugin
Version: 0.60
Release: 1mdk
License: GPL
Group:   Networking/WWW
Source0: http://umn.dl.sourceforge.net/sourceforge/mplayerplug-in/mplayerplug-in_v%{version}.tar.bz2
Source1: http://umn.dl.sourceforge.net/sourceforge/mplayerplug-in/mini.tar.bz2
Patch0:  mplayerplugin-0.60-options.patch.bz2
BuildRequires: XFree86-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://mplayerplug-in.sourceforge.net
Requires: mplayer >= 0.90-0.rc4
Requires: mplayer-gui
Conflicts: mozplugger

%description
Mplayerplug-in is a Netscape/Mozilla browser plugin to allow
playing embedded movies on web pages.

%prep
%setup -n mplayerplug-in -a 1
%patch0 -p1 -b .options

%build
make OPTIMIZER="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/netscape/plugins \
	$RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_sysconfdir} \
	$RPM_BUILD_ROOT%{_datadir}/mplayer/Skin/mini

cat > $RPM_BUILD_ROOT%{_sysconfdir}/mplayerplug-in.conf <<EOF
debug=0
ao=oss,alsa9,arts,esd,null
vo=x11
osdlevel=3
use-gui=mini
EOF

install -m 755 mplayerplug-in.so \
	$RPM_BUILD_ROOT%{_libdir}/netscape/plugins

install -m 644 mini/*.png mini/skin mini/VERSION mini/README \
	$RPM_BUILD_ROOT%{_datadir}/mplayer/Skin/mini/

mkdir -p $RPM_BUILD_ROOT%{_mozillapath}
ln -s %{_libdir}/netscape/plugins/mplayerplug-in.so \
	$RPM_BUILD_ROOT%{_mozillapath}/mplayerplug-in.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL README TODO
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/mplayerplug-in.conf
%{_libdir}/netscape/plugins/mplayerplug-in.so
%{_mozillapath}/mplayerplug-in.so
%{_datadir}/mplayer/Skin/mini

%changelog
* Tue Mar 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.60-1mdk
- Updated to release 0.60.
- Updated Patch0.
- Added mini skins

* Mon Feb 17 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.40-1mdk
- Initial release.
- Added .conf files with default to -vo x11.
- Added patches to allow multiple playing or when audio is busy.
- Added option 'osdevel'.
